problemi con APT e DPKG

Problemi riscontrati durante l'installazione di Ubuntu, degli aggiornamenti e degli avanzamenti del sistema.

problemi con APT e DPKG

Messaggioda Virgoss » domenica 14 maggio 2017, 14:55

Buondi a tutti, quancuno sa aiutarmi per risolvere questo problema? grazie... :(

Codice: Seleziona tutto
virginio@virginio-desktop:~$ sudo apt update
Trovato:1 http://it.archive.ubuntu.com/ubuntu xenial InRelease
Trovato:2 http://it.archive.ubuntu.com/ubuntu xenial-updates InRelease         
Ign:3 http://dl.google.com/linux/chrome/deb stable InRelease                   
Scaricamento di:4 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
Scaricamento di:5 http://it.archive.ubuntu.com/ubuntu xenial-backports InRelease [102 kB]
Trovato:6 http://dl.google.com/linux/chrome/deb stable Release                 
Trovato:7 http://ppa.launchpad.net/js-reynaud/kicad-4/ubuntu xenial InRelease 
Trovato:8 http://ppa.launchpad.net/openshot.developers/ppa/ubuntu xenial InRelease
Trovato:9 http://ppa.launchpad.net/thomas-schiex/blender/ubuntu xenial InRelease
Trovato:11 http://ppa.launchpad.net/thomas.tsai/ubuntu-tuxboot/ubuntu xenial InRelease
Ign:12 http://it.archive.ubuntu.com/ubuntu xenial-backports/main amd64 DEP-11 Metadata
Scaricamento di:12 http://it.archive.ubuntu.com/ubuntu xenial-backports/main amd64 DEP-11 Metadata [3.328 B]
Err:12 http://it.archive.ubuntu.com/ubuntu xenial-backports/main amd64 DEP-11 Metadata
  Somma hash non corrispondente
Scaricamento di:13 http://security.ubuntu.com/ubuntu xenial-security/main amd64 DEP-11 Metadata [54,5 kB]
Scaricamento di:14 http://security.ubuntu.com/ubuntu xenial-security/main DEP-11 64x64 Icons [45,7 kB]
Scaricamento di:15 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 DEP-11 Metadata [32,2 kB]
Scaricamento di:16 http://security.ubuntu.com/ubuntu xenial-security/universe DEP-11 64x64 Icons [37,0 kB]
Recuperati 377 kB in 4s (76,3 kB/s)                                     
Lettura elenco dei pacchetti... Fatto
N: Viene ignorato il file "20auto-upgrades.ucf-old" nella directory "/etc/apt/apt.conf.d/" poiché ha un'estensione non valida
E: Impossibile recuperare http://it.archive.ubuntu.com/ubuntu/dists/xenial-backports/main/dep11/Components-amd64.yml.xz  Somma hash non corrispondente
E: Impossibile scaricare alcuni file di indice: saranno ignorati o verranno usati quelli vecchi.
virginio@virginio-desktop:~$ sudo apt upgrade
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Calcolo dell'aggiornamento... Fatto
Il seguente pacchetto è stato installato automaticamente e non è più richiesto:
  libopenshot-audio3
Usare "sudo apt autoremove" per rimuoverlo.
I seguenti pacchetti NUOVI saranno installati:
  libopenshot-audio5
I seguenti pacchetti saranno aggiornati:
  firefox firefox-locale-en firefox-locale-it gir1.2-javascriptcoregtk-4.0
  gir1.2-webkit2-4.0 google-chrome-stable libjavascriptcoregtk-4.0-18
  libopenshot11 libwebkit2gtk-4.0-37 libwebkit2gtk-4.0-37-gtk2 logrotate
  openshot-qt openssh-client python3-openshot zlib1g
15 aggiornati, 1 installati, 0 da rimuovere e 0 non aggiornati.
È necessario scaricare 0 B/180 MB di archivi.
Dopo quest'operazione, verranno liberati 61,1 MB di spazio su disco.
Continuare? [S/n] s
N: Viene ignorato il file "20auto-upgrades.ucf-old" nella directory "/etc/apt/apt.conf.d/" poiché ha un'estensione non valida
dpkg: errore: formato (3) del database di informazioni è errato o troppo recente, provare con una versione aggiornata di dpkg
N: Viene ignorato il file "20auto-upgrades.ucf-old" nella directory "/etc/apt/apt.conf.d/" poiché ha un'estensione non valida
E: Sub-process /usr/bin/dpkg returned an error code (2)
virginio@virginio-desktop:~$ ^C
Virginio
Avatar utente
Virgoss
Prode Principiante
 
Messaggi: 173
Iscrizione: luglio 2007
Desktop: Ubuntu unity
Distribuzione: Ubuntu 16.04 x86_64 (Xenial)
Sesso: Maschile

Re: problemi con APT e DPKG

Messaggioda wilecoyote » domenica 14 maggio 2017, 15:15

:) Salve, comincia col togliere il maiuscolo dal titolo, non siamo sordi...

Hai un florilegio di ppa ed i repository backport attivati, probabile qualche conflitto/instabilità, prova a togliere i 'Backport'.

Apri sorgenti software:

Codice: Seleziona tutto
sudo -H software-properties-gtk


Nella sezione 'Aggiornamenti' togli la spunta ad 'Aggiornamenti proposti' ed 'Aggiornamenti non supportati', quindi chiudi.

Nel terminale dai:

Codice: Seleziona tutto
sudo apt-get install -f
sudo apt-get update
sudo apt-get upgrade


Il 1° corregge gli eventuali errori, il 2° aggiorna la lista dei pacchetti, il 3° installa eventuali aggiornamenti.

Se non funziona ancora bisogna rimuovere i ppa, a proposito ti servono tutti ?

:ciao: Ciao
ACER Extensa 5230E 2,2 Ghz 160 Gb HDD 1Gb Ram
ACER Extensa 5635Z 2,2 Ghz 320 Gb HDD 4 Gb Ram
Quando una Finestra chiusa incontra un Pinguino la Finestra chiusa è una Finestra aperta.
Avatar utente
wilecoyote
Rampante Reduce
Rampante Reduce
 
Messaggi: 5034
Iscrizione: agosto 2009
Località: Ceranesi - Ge
Desktop: Kubuntu Lubuntu
Distribuzione: 9.04 32bit 14.04LTS 16.04 LTS 64bit
Sesso: Maschile

Re: problemi con APT e DPKG

Messaggioda trekfan1 » domenica 14 maggio 2017, 15:34

Oltre a quello che ha scritto wile dai anche
Codice: Seleziona tutto
sudo rm /etc/apt/apt.conf.d/20auto-upgrades.ucf-old
e ridai i comandi di aggiornamento
Avatar utente
trekfan1
Moderatore Globale
Moderatore Globale
 
Messaggi: 15815
Iscrizione: maggio 2006
Località: Formigine (MO) | Tenace Tecnocrate
Desktop: Unity/Gnome Shell
Distribuzione: Ubuntu 17.04 e 17.10 (dev) 64 bit
Sesso: Maschile

Re: problemi con Apt e Dpkg

Messaggioda Virgoss » domenica 14 maggio 2017, 21:11

Anche dopo aver seguito le vostre istruzioni mi da questi errori

Codice: Seleziona tutto
virginio@virginio-desktop:~$ sudo apt-get upgrade
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Calcolo dell'aggiornamento... Fatto
I seguenti pacchetti sono stati mantenuti alla versione attuale:
  libopenshot11 python3-openshot
I seguenti pacchetti saranno aggiornati:
  firefox firefox-locale-en firefox-locale-it google-chrome-stable openshot-qt
5 aggiornati, 0 installati, 0 da rimuovere e 2 non aggiornati.
È necessario scaricare 0 B/154 MB di archivi.
Dopo quest'operazione, verranno liberati 66,0 MB di spazio su disco.
Continuare? [S/n] s
dpkg: errore: formato (3) del database di informazioni è errato o troppo recente, provare con una versione aggiornata di dpkg
E: Sub-process /usr/bin/dpkg returned an error code (2)
virginio@virginio-desktop:~$
Virginio
Avatar utente
Virgoss
Prode Principiante
 
Messaggi: 173
Iscrizione: luglio 2007
Desktop: Ubuntu unity
Distribuzione: Ubuntu 16.04 x86_64 (Xenial)
Sesso: Maschile

Re: problemi con APT e DPKG

Messaggioda wilecoyote » lunedì 15 maggio 2017, 14:54

:) Salve, sembra non gradire il ppa 'openshot', ti è proprio indispensabile o puoi usare quello del repository ?

Se non indispensabile rimuovilo leggendo questa wiki AmministrazioneSistema/Ppa-purge

Se non riesci con ppa-purge dai i seguenti comandi:

Codice: Seleziona tutto
cat /etc/apt/sources.list.d


Leggi il nome del ppa in oggetto e sostituiscilo nel prossimo comando a <nomeppa>:

Codice: Seleziona tutto
sudo rm /etc/apt/sources.list.d/<nomeppa>


Quindi rifai l'aggiornamento.

Codice: Seleziona tutto
sudo apt-get install -f
sudo apt-get update
sudo apt-get upgrade


Il 1° ripristina, il 2° aggiorna la lista dei pacchetti, il 3° installa eventuali aggiornamenti.

:ciao: Ciao
ACER Extensa 5230E 2,2 Ghz 160 Gb HDD 1Gb Ram
ACER Extensa 5635Z 2,2 Ghz 320 Gb HDD 4 Gb Ram
Quando una Finestra chiusa incontra un Pinguino la Finestra chiusa è una Finestra aperta.
Avatar utente
wilecoyote
Rampante Reduce
Rampante Reduce
 
Messaggi: 5034
Iscrizione: agosto 2009
Località: Ceranesi - Ge
Desktop: Kubuntu Lubuntu
Distribuzione: 9.04 32bit 14.04LTS 16.04 LTS 64bit
Sesso: Maschile

Re: problemi con APT e DPKG

Messaggioda caturen » lunedì 15 maggio 2017, 18:39

prova con
Codice: Seleziona tutto
sudo dpkg --configure -a
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 13144
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: problemi con APT e DPKG

Messaggioda Virgoss » lunedì 15 maggio 2017, 20:56

... Niente da Fare.....ho fatto tutto quello che mi avete suggerito, ma niente :nono:

Codice: Seleziona tutto
virginio@virginio-desktop:~$ ls cat /etc/apt/sources.list.d
ls: impossibile accedere a 'cat': File o directory non esistente
/etc/apt/sources.list.d:
google-chrome.list
google-chrome.list.save
js-reynaud-ubuntu-kicad-4-xenial.list
js-reynaud-ubuntu-kicad-4-xenial.list.save
openshot_developers-ubuntu-ppa-xenial.list
openshot_developers-ubuntu-ppa-xenial.list.save
thomas-schiex-ubuntu-blender-xenial.list
thomas-schiex-ubuntu-blender-xenial.list.save
thomas_tsai-ubuntu-ubuntu-tuxboot-xenial.list
thomas_tsai-ubuntu-ubuntu-tuxboot-xenial.list.save
virginio@virginio-desktop:~$ sudo rm /etc/apt/sources.list.d/openshot_developers-ubuntu-ppa-xenial.list
[sudo] password di virginio:
virginio@virginio-desktop:~$ sudo rm /etc/apt/sources.list.d/openshot_developers-ubuntu-ppa-xenial.list.save
virginio@virginio-desktop:~$ sudo rm /etc/apt/sources.list.d/thomas_tsai-ubuntu-ubuntu-tuxboot-xenial.list
virginio@virginio-desktop:~$ sudo rm /etc/apt/sources.list.d/thomas_tsai-ubuntu-ubuntu-tuxboot-xenial.list.save
virginio@virginio-desktop:~$ sudo rm /etc/apt/sources.list.d/thomas_tsai-ubuntu-ubuntu-tuxboot-xenial.list.save

virginio@virginio-desktop:~$ sudo apt-get install -f
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
0 aggiornati, 0 installati, 0 da rimuovere e 4 non aggiornati.
virginio@virginio-desktop:~$ sudo apt-get update
Ign:1 http://dl.google.com/linux/chrome/deb stable InRelease       
Trovato:2 http://archive.ubuntu.com/ubuntu xenial InRelease                 
Trovato:3 http://dl.google.com/linux/chrome/deb stable Release                 
Trovato:4 http://ppa.launchpad.net/js-reynaud/kicad-4/ubuntu xenial InRelease 
Trovato:5 http://archive.ubuntu.com/ubuntu xenial-security InRelease           
Trovato:7 http://ppa.launchpad.net/thomas-schiex/blender/ubuntu xenial InRelease
Lettura elenco dei pacchetti... Fatto     
         
virginio@virginio-desktop:~$ sudo apt-get upgrade
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Calcolo dell'aggiornamento... Fatto
I seguenti pacchetti saranno aggiornati:
  firefox firefox-locale-en firefox-locale-it google-chrome-stable
4 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
È necessario scaricare 0 B/101 MB di archivi.
Dopo quest'operazione, verranno occupati 13,3 kB di spazio su disco.
Continuare? [S/n] s
dpkg: errore: formato (3) del database di informazioni è errato o troppo recente, provare con una versione aggiornata di dpkg
E: Sub-process /usr/bin/dpkg returned an error code (2)
virginio@virginio-desktop:~$ sudo dpkg --configure -a
dpkg: errore: formato (3) del database di informazioni è errato o troppo recente, provare con una versione aggiornata di dpkg
virginio@virginio-desktop:~$
Virginio
Avatar utente
Virgoss
Prode Principiante
 
Messaggi: 173
Iscrizione: luglio 2007
Desktop: Ubuntu unity
Distribuzione: Ubuntu 16.04 x86_64 (Xenial)
Sesso: Maschile

Re: problemi con APT e DPKG

Messaggioda newwhitebear » lunedì 15 maggio 2017, 22:02

Avevo anch'io il medesimo problema nato dopo l'installazione di 16.04.02 a 64 bit.
Ho seguito il primo giro di istruzioni e il sudo rm del modulo che dava errore. Errore sparito.
Per me è risolto.
newwhitebear
Prode Principiante
 
Messaggi: 9
Iscrizione: agosto 2015
Desktop: ububtu 16.04 LTS
Sesso: Maschile

Re: problemi con APT e DPKG

Messaggioda caturen » lunedì 15 maggio 2017, 22:52

caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 13144
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: problemi con APT e DPKG

Messaggioda Jure Linux » lunedì 15 maggio 2017, 23:18

newwhitebear Immagine ha scritto:Avevo anch'io il medesimo problema nato dopo l'installazione di 16.04.02 a 64 bit.
Ho seguito il primo giro di istruzioni e il sudo rm del modulo che dava errore. Errore sparito.
Per me è risolto.

Capito qua per caso, ma a fagiolo. Anche a me con il passaggio 16.04 da 32 a 64 è capitata la 'corruzione' del file 20auto-upgrades.ucf-old . E' capitato durante un aggiornamento programmato (ho impostato solo per aggiornamenti di sicurezza sistema, kernel ecc., senza fronzoli ppa) nel quale l'installer mi ha chiesto se mantenere il vecchio 20auto o di aggiornarlo, più l'opzione di 'confrontarli'. Nel dubbio ho consentito il confronto, ma invece di avviare una procedura di debug o che so io, l'installatore è ripartito per i cavoli suoi, e da quel giorno in poi ad ogni aggiornamento o quasi mi compare il messaggio riportato nel codice di virgoss:
Codice: Seleziona tutto
Viene ignorato il file "20auto-upgrades.ucf-old" nella directory "/etc/apt/apt.conf.d/" poiché ha un'estensione non valida

Null'altro di grave all'apparenza, nessuno degli altri problemi riportati da virgoss, ma vorrei risolvere la questione.
Quindi, semplicemente chiedo a wilecoyote e trekfan1: prima il comando rm sul file corrotto e poi
Codice: Seleziona tutto
sudo apt-get install -f
sudo apt-get update
sudo apt-get upgrade

che mi sembra la cosa più logica, oppure faccio l'inverso, oppure è indifferente? Prima di fare un lavoro (o far danni) meglio far ordine, no?
Ultima cosa.
Il problema '20auto' mi si era presentato pure sul desktop dell (vedi firma), all'upgrade dal 14.02 al 16.02-64bit. Per altri motivi (partizione dati /home separata, prima era tutt'uno) ho poi ripulito il disco e installato ex novo sempre 16.02-64, e da lì in poi nessun problema. Sull'asus invece, dopo un lavoro di bisturi sulla tabella partizioni, per superare il blocco del bios nativo che negava all'installer un'installazione non-uefi (trekfan1 e wilecoyote ne sanno qualcosa), ho 'fregato' il bios installando prima ubuntu 12.02, per poi upgradarlo alla 16 mantenendo le partizioni precedenti (così am. megatrend impara). E però si è ripresentato il problemino 20auto... Ergo: la 'corruzione' del file avviene in caso di upgrade e non di installazione ex-novo. Mi sembra una scoperta interessante per gli sviluppatori, se così è.
Cari saluti, Jure :ciao: .
DELL ??? - Intel Core 2 Quad 2.40GHz x 4 - 4Gb RAM - Grafica: GeForce 210/PCIe/SSE2 - OS Ubuntu 16.04.2 64bit
ASUS X551CA - Intel Pentium CPU 2117U 1.80GHz × 2 - 4Gb RAM - Grafica: Intel Ivybridge Mobile - OS Ubuntu 16.04.2 64bit
Jure Linux
Prode Principiante
 
Messaggi: 27
Iscrizione: maggio 2017
Località: Trieste, Primorska
Desktop: ubuntu
Distribuzione: Ubuntu 16.04.2 LTS x86_64

Re: problemi con APT e DPKG

Messaggioda trekfan1 » martedì 16 maggio 2017, 7:33

Per risolvere bisogna PRIMA rimuovere il file danneggiato e poi procedere con gli update
Avatar utente
trekfan1
Moderatore Globale
Moderatore Globale
 
Messaggi: 15815
Iscrizione: maggio 2006
Località: Formigine (MO) | Tenace Tecnocrate
Desktop: Unity/Gnome Shell
Distribuzione: Ubuntu 17.04 e 17.10 (dev) 64 bit
Sesso: Maschile

Re: problemi con APT e DPKG

Messaggioda wilecoyote » martedì 16 maggio 2017, 15:30

:) Salve, davvero dispettoso 'sto problema di versione di dpkg.

Il link di @caturen consiglia questi comandi:

Codice: Seleziona tutto
sudo rm /var/lib/dpkg/info/format
sudo printf "1\n" > /var/lib/dpkg/info/format


Fai una prova.

:ciao: Ciao
ACER Extensa 5230E 2,2 Ghz 160 Gb HDD 1Gb Ram
ACER Extensa 5635Z 2,2 Ghz 320 Gb HDD 4 Gb Ram
Quando una Finestra chiusa incontra un Pinguino la Finestra chiusa è una Finestra aperta.
Avatar utente
wilecoyote
Rampante Reduce
Rampante Reduce
 
Messaggi: 5034
Iscrizione: agosto 2009
Località: Ceranesi - Ge
Desktop: Kubuntu Lubuntu
Distribuzione: 9.04 32bit 14.04LTS 16.04 LTS 64bit
Sesso: Maschile

Re: problemi con APT e DPKG

Messaggioda Jure Linux » mercoledì 17 maggio 2017, 2:36

trekfan1 Immagine ha scritto:Per risolvere bisogna PRIMA rimuovere il file danneggiato e poi procedere con gli update

Strano ma vero, l'imputato '/etc/apt/apt.conf.d/20auto-upgrades.ucf-old' è sparito prima che ci pensi io. Possibile ci abbia pensato il gestore aggiornamenti? Mi riservo di ritornarci se il problema si ripresenta. Lascio tutto com'è senza aggiornare apt-get senza motivo. Ciao cari :ciao:
DELL ??? - Intel Core 2 Quad 2.40GHz x 4 - 4Gb RAM - Grafica: GeForce 210/PCIe/SSE2 - OS Ubuntu 16.04.2 64bit
ASUS X551CA - Intel Pentium CPU 2117U 1.80GHz × 2 - 4Gb RAM - Grafica: Intel Ivybridge Mobile - OS Ubuntu 16.04.2 64bit
Jure Linux
Prode Principiante
 
Messaggi: 27
Iscrizione: maggio 2017
Località: Trieste, Primorska
Desktop: ubuntu
Distribuzione: Ubuntu 16.04.2 LTS x86_64

Re: problemi con APT e DPKG

Messaggioda Jure Linux » mercoledì 17 maggio 2017, 3:00

Correggo: ho appena aggiornato su richiesta , e il malefico 20auto si è ripresentato. Stavolta però il nomefile è 20auto-upgrades.ucf-dist. Non sono riuscito a cogliere esattamente il segnale d'errore, ma comunque somigliava al solito 'estensione non valida - il file sarà ignorato'. Vado a memoria visiva, l'output scorreva rapido e non me lo aspettavo. Ma possibile non ci si a una maniera di log per registrare l'output degli aggiornamenti per poi studiarseli con calma?
Ho appena dato apt-get install -f ed ecco il risultato:
Codice: Seleziona tutto
Viene ignorato il file "20auto-upgrades.ucf-dist" nella directory "/etc/apt/apt.conf.d/" poiché ha un'estensione non valida

Stesso messaggio con apt-get update e sudo apt-get upgrade .
Che faccio con 20auto-upgrades.ucf-dist , lo disintegro? (ammesso che ci riesca).
DELL ??? - Intel Core 2 Quad 2.40GHz x 4 - 4Gb RAM - Grafica: GeForce 210/PCIe/SSE2 - OS Ubuntu 16.04.2 64bit
ASUS X551CA - Intel Pentium CPU 2117U 1.80GHz × 2 - 4Gb RAM - Grafica: Intel Ivybridge Mobile - OS Ubuntu 16.04.2 64bit
Jure Linux
Prode Principiante
 
Messaggi: 27
Iscrizione: maggio 2017
Località: Trieste, Primorska
Desktop: ubuntu
Distribuzione: Ubuntu 16.04.2 LTS x86_64

Re: problemi con APT e DPKG

Messaggioda caturen » mercoledì 17 maggio 2017, 6:59

Che faccio con 20auto-upgrades.ucf-dist , lo disintegro?
si
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 13144
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: problemi con APT e DPKG

Messaggioda trekfan1 » mercoledì 17 maggio 2017, 7:18

trekfan1 Immagine ha scritto:Oltre a quello che ha scritto wile dai anche
Codice: Seleziona tutto
sudo rm /etc/apt/apt.conf.d/20auto-upgrades.ucf-old
e ridai i comandi di aggiornamento
Ovviamente modificando il nome, puoi usare il tasto TAB per autocompletare i percorsi/nomi file
Avatar utente
trekfan1
Moderatore Globale
Moderatore Globale
 
Messaggi: 15815
Iscrizione: maggio 2006
Località: Formigine (MO) | Tenace Tecnocrate
Desktop: Unity/Gnome Shell
Distribuzione: Ubuntu 17.04 e 17.10 (dev) 64 bit
Sesso: Maschile

Re: problemi con APT e DPKG

Messaggioda Jure Linux » mercoledì 17 maggio 2017, 16:09

caturen Immagine ha scritto:
Che faccio con 20auto-upgrades.ucf-dist , lo disintegro?
si

Rispondo a caturen e anche a trekfan1.
Prima di ammazzarlo voglio farvi vedere la schermata (screenshot) del gestore aggiornamenti, cè pure dell'altro di 'curioso'.
Ma dovete darmi una dritta su come pubblicarla qua, ho già fatto casino un paio di volte con allegati e link, non vorrei ripetermi.
Intanto vedo in giro come cavarmela da solo :ciao:

Yuppiii! risolto, più facile di quel che pensavo :p

Immagine

Come vedete, oltre al malefico c'è dell'altro, mai comparso prima di stamane (e non ho toccato nulla). Opinioni?
ciao cari.
Ultima modifica di Jure Linux il mercoledì 17 maggio 2017, 16:42, modificato 1 volta in totale.
DELL ??? - Intel Core 2 Quad 2.40GHz x 4 - 4Gb RAM - Grafica: GeForce 210/PCIe/SSE2 - OS Ubuntu 16.04.2 64bit
ASUS X551CA - Intel Pentium CPU 2117U 1.80GHz × 2 - 4Gb RAM - Grafica: Intel Ivybridge Mobile - OS Ubuntu 16.04.2 64bit
Jure Linux
Prode Principiante
 
Messaggi: 27
Iscrizione: maggio 2017
Località: Trieste, Primorska
Desktop: ubuntu
Distribuzione: Ubuntu 16.04.2 LTS x86_64

Re: problemi con APT e DPKG

Messaggioda wilecoyote » mercoledì 17 maggio 2017, 16:15

:) Salve, per postarla devi:

1° Salvare la schermata, clicca il tasto Stamp e salvala nella "Home"

2° Piccolo trucco, aprila con un editor d'immagini e ritagliala alle misure 750×550

3° Caricala su di un servizio di host image, ad esempio https://postimage.io

4° In ultimo copia dall'alto la 2° path del hosting e copiala qui tra i tag [Immagine]

:ciao: Ciao
ACER Extensa 5230E 2,2 Ghz 160 Gb HDD 1Gb Ram
ACER Extensa 5635Z 2,2 Ghz 320 Gb HDD 4 Gb Ram
Quando una Finestra chiusa incontra un Pinguino la Finestra chiusa è una Finestra aperta.
Avatar utente
wilecoyote
Rampante Reduce
Rampante Reduce
 
Messaggi: 5034
Iscrizione: agosto 2009
Località: Ceranesi - Ge
Desktop: Kubuntu Lubuntu
Distribuzione: 9.04 32bit 14.04LTS 16.04 LTS 64bit
Sesso: Maschile

Re: problemi con APT e DPKG

Messaggioda caturen » mercoledì 17 maggio 2017, 16:17

(screenshot)

https://postimage.io/
voglio farvi vedere la schermata del gestore aggiornamenti
basta che posti qui il risultato di questi comandi
Codice: Seleziona tutto
sudo apt update
Codice: Seleziona tutto
sudo apt upgrade
e capiremo come sei messo ;)
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 13144
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: problemi con APT e DPKG

Messaggioda Jure Linux » mercoledì 17 maggio 2017, 16:45

Vedi sopra, ho modificato l'ultimo post, dai un'occhiata. Se vuoi tutto l'output sudo apt sono qua.
Anzi, modifico pure questo: ecco qua subito tutto il richiesto:
Codice: Seleziona tutto
jure@jure-LT:~$ sudo apt update
[sudo] password di jure:
Trovato:1 http://it.archive.ubuntu.com/ubuntu xenial InRelease
Scaricamento di:2 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
Scaricamento di:3 http://it.archive.ubuntu.com/ubuntu xenial-updates InRelease [102 kB]
Scaricamento di:4 http://it.archive.ubuntu.com/ubuntu xenial-updates/main Sources [248 kB]   
Scaricamento di:5 http://security.ubuntu.com/ubuntu xenial-security/main Sources [70,5 kB]
Scaricamento di:6 http://security.ubuntu.com/ubuntu xenial-security/universe Sources [27,7 kB]
Scaricamento di:7 http://security.ubuntu.com/ubuntu xenial-security/main amd64 Packages [265 kB]
Scaricamento di:8 http://it.archive.ubuntu.com/ubuntu xenial-updates/universe Sources [154 kB]
Scaricamento di:9 http://it.archive.ubuntu.com/ubuntu xenial-updates/main amd64 Packages [538 kB]
Scaricamento di:10 http://security.ubuntu.com/ubuntu xenial-security/main i386 Packages [252 kB]
Scaricamento di:11 http://security.ubuntu.com/ubuntu xenial-security/main Translation-en [111 kB]
Scaricamento di:12 http://it.archive.ubuntu.com/ubuntu xenial-updates/main i386 Packages [523 kB]
Scaricamento di:13 http://security.ubuntu.com/ubuntu xenial-security/main amd64 DEP-11 Metadata [54,5 kB]
Scaricamento di:14 http://security.ubuntu.com/ubuntu xenial-security/main DEP-11 64x64 Icons [45,1 kB]
Scaricamento di:15 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 Packages [114 kB]
Scaricamento di:16 http://security.ubuntu.com/ubuntu xenial-security/universe i386 Packages [101 kB]
Scaricamento di:17 http://security.ubuntu.com/ubuntu xenial-security/universe Translation-en [58,7 kB]
Scaricamento di:18 http://it.archive.ubuntu.com/ubuntu xenial-updates/main Translation-en [217 kB]
Scaricamento di:19 http://security.ubuntu.com/ubuntu xenial-security/universe amd64 DEP-11 Metadata [32,2 kB]
Scaricamento di:20 http://security.ubuntu.com/ubuntu xenial-security/universe DEP-11 64x64 Icons [37,0 kB]
Scaricamento di:21 http://it.archive.ubuntu.com/ubuntu xenial-updates/main amd64 DEP-11 Metadata [299 kB]
Scaricamento di:22 http://it.archive.ubuntu.com/ubuntu xenial-updates/main DEP-11 64x64 Icons [193 kB]
Scaricamento di:23 http://it.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 Packages [467 kB]
Scaricamento di:24 http://it.archive.ubuntu.com/ubuntu xenial-updates/universe i386 Packages [452 kB]
Scaricamento di:25 http://it.archive.ubuntu.com/ubuntu xenial-updates/universe Translation-en [183 kB]   
Scaricamento di:26 http://it.archive.ubuntu.com/ubuntu xenial-updates/universe amd64 DEP-11 Metadata [160 kB]       
Scaricamento di:27 http://it.archive.ubuntu.com/ubuntu xenial-updates/universe DEP-11 64x64 Icons [188 kB]         
Scaricamento di:28 http://it.archive.ubuntu.com/ubuntu xenial-updates/multiverse amd64 DEP-11 Metadata [2.516 B]   
Recuperati 4.998 kB in 16s (300 kB/s)                                                                               
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
6 pacchetti possono essere aggiornati: eseguire "apt list --upgradable" per vederli.
N: Viene ignorato il file "20auto-upgrades.ucf-dist" nella directory "/etc/apt/apt.conf.d/" poiché ha un'estensione non valida
jure@jure-LT:~$ sudo apt upgrade
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Calcolo dell'aggiornamento... Fatto
I seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:
  libgles1-mesa linux-headers-4.8.0-36 linux-headers-4.8.0-36-generic linux-image-4.8.0-36-generic
  linux-image-extra-4.8.0-36-generic
Usare "sudo apt autoremove" per rimuoverli.
I seguenti pacchetti saranno aggiornati:
  gnome-software gnome-software-common python3-software-properties software-properties-common
  software-properties-gtk ubuntu-software
6 aggiornati, 0 installati, 0 da rimuovere e 0 non aggiornati.
È necessario scaricare 2.576 kB di archivi.
Dopo quest'operazione, verranno occupati 9.216 B di spazio su disco.
Continuare? [S/n] s
Scaricamento di:1 http://it.archive.ubuntu.com/ubuntu xenial-updates/main amd64 ubuntu-software amd64 3.20.1+git20170427.0.3d09239-0ubuntu1~xenial1 [11,7 kB]
Scaricamento di:2 http://it.archive.ubuntu.com/ubuntu xenial-updates/main amd64 gnome-software amd64 3.20.1+git20170427.0.3d09239-0ubuntu1~xenial1 [231 kB]
Scaricamento di:3 http://it.archive.ubuntu.com/ubuntu xenial-updates/main amd64 gnome-software-common all 3.20.1+git20170427.0.3d09239-0ubuntu1~xenial1 [2.257 kB]
Scaricamento di:4 http://it.archive.ubuntu.com/ubuntu xenial-updates/main amd64 software-properties-common all 0.96.20.7 [9.452 B]
Scaricamento di:5 http://it.archive.ubuntu.com/ubuntu xenial-updates/main amd64 software-properties-gtk all 0.96.20.7 [47,2 kB]
Scaricamento di:6 http://it.archive.ubuntu.com/ubuntu xenial-updates/main amd64 python3-software-properties all 0.96.20.7 [20,3 kB]
Recuperati 2.576 kB in 8s (300 kB/s)                                                                               
N: Viene ignorato il file "20auto-upgrades.ucf-dist" nella directory "/etc/apt/apt.conf.d/" poiché ha un'estensione non valida
(Lettura del database... 268909 file e directory attualmente installati.)
Preparativi per estrarre .../ubuntu-software_3.20.1+git20170427.0.3d09239-0ubuntu1~xenial1_amd64.deb...
Estrazione di ubuntu-software (3.20.1+git20170427.0.3d09239-0ubuntu1~xenial1) su (3.20.1+git20170208.0.a34b091-0ubuntu1~xenial1)...
Preparativi per estrarre .../gnome-software_3.20.1+git20170427.0.3d09239-0ubuntu1~xenial1_amd64.deb...
Estrazione di gnome-software (3.20.1+git20170427.0.3d09239-0ubuntu1~xenial1) su (3.20.1+git20170208.0.a34b091-0ubuntu1~xenial1)...
Preparativi per estrarre .../gnome-software-common_3.20.1+git20170427.0.3d09239-0ubuntu1~xenial1_all.deb...
Estrazione di gnome-software-common (3.20.1+git20170427.0.3d09239-0ubuntu1~xenial1) su (3.20.1+git20170208.0.a34b091-0ubuntu1~xenial1)...
Preparativi per estrarre .../software-properties-common_0.96.20.7_all.deb...
Estrazione di software-properties-common (0.96.20.7) su (0.96.20.6)...
Preparativi per estrarre .../software-properties-gtk_0.96.20.7_all.deb...
Estrazione di software-properties-gtk (0.96.20.7) su (0.96.20.6)...
Preparativi per estrarre .../python3-software-properties_0.96.20.7_all.deb...
Estrazione di python3-software-properties (0.96.20.7) su (0.96.20.6)...
Elaborazione dei trigger per hicolor-icon-theme (0.15-0ubuntu1)...
Elaborazione dei trigger per libglib2.0-0:amd64 (2.48.2-0ubuntu1)...
Elaborazione dei trigger per desktop-file-utils (0.22-1ubuntu5.1)...
Elaborazione dei trigger per gnome-menus (3.13.3-6ubuntu3.1)...
Elaborazione dei trigger per bamfdaemon (0.5.3~bzr0+16.04.20160824-0ubuntu1)...
Rebuilding /usr/share/applications/bamf-2.index...
Elaborazione dei trigger per mime-support (3.59ubuntu1)...
Elaborazione dei trigger per man-db (2.7.5-1)...
Elaborazione dei trigger per dbus (1.10.6-1ubuntu3.3)...
Elaborazione dei trigger per shared-mime-info (1.5-2ubuntu0.1)...
Configurazione di gnome-software-common (3.20.1+git20170427.0.3d09239-0ubuntu1~xenial1)...
Configurazione di gnome-software (3.20.1+git20170427.0.3d09239-0ubuntu1~xenial1)...
Configurazione di ubuntu-software (3.20.1+git20170427.0.3d09239-0ubuntu1~xenial1)...
Configurazione di python3-software-properties (0.96.20.7)...
Configurazione di software-properties-common (0.96.20.7)...
Configurazione di software-properties-gtk (0.96.20.7)...
N: Viene ignorato il file "20auto-upgrades.ucf-dist" nella directory "/etc/apt/apt.conf.d/" poiché ha un'estensione non valida
jure@jure-LT:~$


E già che ci sono, aggiungo pure apt autoremove, appena eseguito:
Codice: Seleziona tutto
jure@jure-LT:~$ sudo autoremove
sudo: autoremove: comando non trovato
jure@jure-LT:~$ sudo apt autoremove
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
I seguenti pacchetti saranno RIMOSSI:
  libgles1-mesa linux-headers-4.8.0-36 linux-headers-4.8.0-36-generic linux-image-4.8.0-36-generic
  linux-image-extra-4.8.0-36-generic
0 aggiornati, 0 installati, 5 da rimuovere e 0 non aggiornati.
Dopo quest'operazione, verranno liberati 315 MB di spazio su disco.
Continuare? [S/n] s
(Lettura del database... 268908 file e directory attualmente installati.)
Rimozione di libgles1-mesa:amd64 (12.0.6-0ubuntu0.16.04.1)...
Rimozione di linux-headers-4.8.0-36-generic (4.8.0-36.36~16.04.1)...
Rimozione di linux-headers-4.8.0-36 (4.8.0-36.36~16.04.1)...
Rimozione di linux-image-extra-4.8.0-36-generic (4.8.0-36.36~16.04.1)...
run-parts: executing /etc/kernel/postinst.d/apt-auto-removal 4.8.0-36-generic /boot/vmlinuz-4.8.0-36-generic
N: Viene ignorato il file "20auto-upgrades.ucf-dist" nella directory "/etc/apt/apt.conf.d/" poiché ha un'estensione non valida
N: Viene ignorato il file "20auto-upgrades.ucf-dist" nella directory "/etc/apt/apt.conf.d/" poiché ha un'estensione non valida
N: Viene ignorato il file "20auto-upgrades.ucf-dist" nella directory "/etc/apt/apt.conf.d/" poiché ha un'estensione non valida
run-parts: executing /etc/kernel/postinst.d/initramfs-tools 4.8.0-36-generic /boot/vmlinuz-4.8.0-36-generic
update-initramfs: Generating /boot/initrd.img-4.8.0-36-generic
run-parts: executing /etc/kernel/postinst.d/pm-utils 4.8.0-36-generic /boot/vmlinuz-4.8.0-36-generic
run-parts: executing /etc/kernel/postinst.d/unattended-upgrades 4.8.0-36-generic /boot/vmlinuz-4.8.0-36-generic
run-parts: executing /etc/kernel/postinst.d/update-notifier 4.8.0-36-generic /boot/vmlinuz-4.8.0-36-generic
run-parts: executing /etc/kernel/postinst.d/zz-update-grub 4.8.0-36-generic /boot/vmlinuz-4.8.0-36-generic
Generating grub configuration file ...
Attenzione: Setting GRUB_TIMEOUT to a non-zero value when GRUB_HIDDEN_TIMEOUT is set is no longer supported.
Trovata immagine linux: /boot/vmlinuz-4.8.0-52-generic
Trovata immagine initrd: /boot/initrd.img-4.8.0-52-generic
Trovata immagine linux: /boot/vmlinuz-4.8.0-51-generic
Trovata immagine initrd: /boot/initrd.img-4.8.0-51-generic
Trovata immagine linux: /boot/vmlinuz-4.8.0-36-generic
Trovata immagine initrd: /boot/initrd.img-4.8.0-36-generic
Trovata immagine linux: /boot/vmlinuz-3.13.0-117-generic
Trovata immagine initrd: /boot/initrd.img-3.13.0-117-generic
Trovata immagine linux: /boot/vmlinuz-3.11.0-15-generic
Trovata immagine initrd: /boot/initrd.img-3.11.0-15-generic
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
fatto
Rimozione di linux-image-4.8.0-36-generic (4.8.0-36.36~16.04.1)...
Examining /etc/kernel/postrm.d .
run-parts: executing /etc/kernel/postrm.d/initramfs-tools 4.8.0-36-generic /boot/vmlinuz-4.8.0-36-generic
update-initramfs: Deleting /boot/initrd.img-4.8.0-36-generic
run-parts: executing /etc/kernel/postrm.d/zz-update-grub 4.8.0-36-generic /boot/vmlinuz-4.8.0-36-generic
Generating grub configuration file ...
Attenzione: Setting GRUB_TIMEOUT to a non-zero value when GRUB_HIDDEN_TIMEOUT is set is no longer supported.
Trovata immagine linux: /boot/vmlinuz-4.8.0-52-generic
Trovata immagine initrd: /boot/initrd.img-4.8.0-52-generic
Trovata immagine linux: /boot/vmlinuz-4.8.0-51-generic
Trovata immagine initrd: /boot/initrd.img-4.8.0-51-generic
Trovata immagine linux: /boot/vmlinuz-3.13.0-117-generic
Trovata immagine initrd: /boot/initrd.img-3.13.0-117-generic
Trovata immagine linux: /boot/vmlinuz-3.11.0-15-generic
Trovata immagine initrd: /boot/initrd.img-3.11.0-15-generic
Found memtest86+ image: /boot/memtest86+.elf
Found memtest86+ image: /boot/memtest86+.bin
fatto
Elaborazione dei trigger per libc-bin (2.23-0ubuntu7)...
N: Viene ignorato il file "20auto-upgrades.ucf-dist" nella directory "/etc/apt/apt.conf.d/" poiché ha un'estensione non valida
jure@jure-LT:~$

passo e chiudo per il momento :ciao:
DELL ??? - Intel Core 2 Quad 2.40GHz x 4 - 4Gb RAM - Grafica: GeForce 210/PCIe/SSE2 - OS Ubuntu 16.04.2 64bit
ASUS X551CA - Intel Pentium CPU 2117U 1.80GHz × 2 - 4Gb RAM - Grafica: Intel Ivybridge Mobile - OS Ubuntu 16.04.2 64bit
Jure Linux
Prode Principiante
 
Messaggi: 27
Iscrizione: maggio 2017
Località: Trieste, Primorska
Desktop: ubuntu
Distribuzione: Ubuntu 16.04.2 LTS x86_64

Successiva

Torna a Installazione e aggiornamento del sistema operativo

Chi c’è in linea

Visualizzano questa sezione: 0 utenti registrati e 6 ospiti